import { XHR_Config } from './xhr-config';
declare const xhr: {
    /**
     * 对象转换为 URL 参数列表，用 & 分隔
     *
     * @param {Object} param JSON 对象
     * @returns URL 参数列表
     */
    toParams(param: any): string;
    /**
     * 获取 QueryString 的某个参数
     *
     * @param val
     * @returns
   */
    getQuery(val: string): string;
    /**
     * XHR GET 请求
     *
     * @param url
     * @param cb
     * @param params
     */
    get(url: string, cb: Function, params?: {} | undefined, cfg?: XHR_Config): void;
    /**
     * XHR POST 请求
     *
     * @param url
     * @param cb
     * @param params
     */
    post(url: string, cb: Function, params: string | {}, cfg?: XHR_Config): void;
    /**
    * XHR PUT 请求
    *
    * @param url
    * @param cb
    * @param params
    */
    put(url: string, cb: Function, params: string | {}, cfg?: XHR_Config): void;
    /**
    * XHR GET 请求
    *
    * @param url
    * @param cb
    * @param params
    */
    dele(url: string, cb: Function, params?: {} | undefined, cfg?: XHR_Config): void;
};
/**
 *
 * @param xhr
 */
export declare function errHandle(xhr: XMLHttpRequest): void;
export default xhr;
